//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.04.15 at 02:17:08 PM CEST 
//


package org.oasis.xliff;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.namespace.QName;
import org.w3c.dom.Element;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{urn:oasis:names:tc:xliff:document:1.2}source"/>
 *         &lt;element ref="{urn:oasis:names:tc:xliff:document:1.2}seg-source" minOccurs="0"/>
 *         &lt;element ref="{urn:oasis:names:tc:xliff:document:1.2}target" minOccurs="0"/>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element ref="{urn:oasis:names:tc:xliff:document:1.2}context-group"/>
 *           &lt;element ref="{urn:oasis:names:tc:xliff:document:1.2}count-group"/>
 *           &lt;element ref="{urn:oasis:names:tc:xliff:document:1.2}prop-group"/>
 *           &lt;element ref="{urn:oasis:names:tc:xliff:document:1.2}note"/>
 *           &lt;element ref="{urn:oasis:names:tc:xliff:document:1.2}alt-trans"/>
 *         &lt;/choice>
 *         &lt;any processContents='skip' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="approved" type="{urn:oasis:names:tc:xliff:document:1.2}AttrType_YesNo" />
 *       &lt;attribute name="translate" type="{urn:oasis:names:tc:xliff:document:1.2}AttrType_YesNo" default="yes" />
 *       &lt;attribute name="reformat" type="{urn:oasis:names:tc:xliff:document:1.2}AttrType_reformat" default="yes" />
 *       &lt;attribute ref="{http://www.w3.org/XML/1998/namespace}space default="default""/>
 *       &lt;attribute name="datatype" type="{urn:oasis:names:tc:xliff:document:1.2}AttrType_datatype" />
 *       &lt;attribute name="ts" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="phase-name" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="restype" type="{urn:oasis:names:tc:xliff:document:1.2}AttrType_restype" />
 *       &lt;attribute name="resname" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="extradata" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="extype" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="help-id" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
 *       &lt;attribute name="menu" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="menu-option" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="menu-name" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="coord" type="{urn:oasis:names:tc:xliff:document:1.2}AttrType_Coordinates" />
 *       &lt;attribute name="font" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="css-style" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="style" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
 *       &lt;attribute name="exstyle" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
 *       &lt;attribute name="size-unit" type="{urn:oasis:names:tc:xliff:document:1.2}AttrType_size-unit" default="pixel" />
 *       &lt;attribute name="maxwidth" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
 *       &lt;attribute name="minwidth" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
 *       &lt;attribute name="maxheight" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
 *       &lt;attribute name="minheight" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
 *       &lt;attribute name="maxbytes" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
 *       &lt;attribute name="minbytes" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
 *       &lt;attribute name="charclass" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="merged-trans" type="{urn:oasis:names:tc:xliff:document:1.2}AttrType_YesNo" default="yes" />
 *       &lt;anyAttribute processContents='skip'/>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "source",
    "segSource",
    "target",
    "contextGroupOrCountGroupOrPropGroup",
    "any"
})
@XmlRootElement(name = "trans-unit")
public class TransUnit {

    @XmlElement(required = true)
    protected Source source;
    @XmlElement(name = "seg-source")
    protected SegSource segSource;
    protected Target target;
    @XmlElements({
        @XmlElement(name = "context-group", type = ContextGroup.class),
        @XmlElement(name = "count-group", type = CountGroup.class),
        @XmlElement(name = "prop-group", type = PropGroup.class),
        @XmlElement(name = "note", type = Note.class),
        @XmlElement(name = "alt-trans", type = AltTrans.class)
    })
    protected List<Object> contextGroupOrCountGroupOrPropGroup;
    @XmlAnyElement
    protected List<Element> any;
    @XmlAttribute(name = "id", required = true)
    protected String id;
    @XmlAttribute(name = "approved")
    protected AttrTypeYesNo approved;
    @XmlAttribute(name = "translate")
    protected AttrTypeYesNo translate;
    @XmlAttribute(name = "reformat")
    protected List<String> reformat;
    @XmlAttribute(name = "space", namespace = "http://www.w3.org/XML/1998/namespace")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String space;
    @XmlAttribute(name = "datatype")
    protected String datatype;
    @XmlAttribute(name = "ts")
    protected String ts;
    @XmlAttribute(name = "phase-name")
    protected String phaseName;
    @XmlAttribute(name = "restype")
    protected String restype;
    @XmlAttribute(name = "resname")
    protected String resname;
    @XmlAttribute(name = "extradata")
    protected String extradata;
    @XmlAttribute(name = "extype")
    protected String extype;
    @XmlAttribute(name = "help-id")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String helpId;
    @XmlAttribute(name = "menu")
    protected String menu;
    @XmlAttribute(name = "menu-option")
    protected String menuOption;
    @XmlAttribute(name = "menu-name")
    protected String menuName;
    @XmlAttribute(name = "coord")
    protected String coord;
    @XmlAttribute(name = "font")
    protected String font;
    @XmlAttribute(name = "css-style")
    protected String cssStyle;
    @XmlAttribute(name = "style")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String style;
    @XmlAttribute(name = "exstyle")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String exstyle;
    @XmlAttribute(name = "size-unit")
    protected String sizeUnit;
    @XmlAttribute(name = "maxwidth")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String maxwidth;
    @XmlAttribute(name = "minwidth")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String minwidth;
    @XmlAttribute(name = "maxheight")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String maxheight;
    @XmlAttribute(name = "minheight")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String minheight;
    @XmlAttribute(name = "maxbytes")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String maxbytes;
    @XmlAttribute(name = "minbytes")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String minbytes;
    @XmlAttribute(name = "charclass")
    protected String charclass;
    @XmlAttribute(name = "merged-trans")
    protected AttrTypeYesNo mergedTrans;
    @XmlAnyAttribute
    private Map<QName, String> otherAttributes = new HashMap<QName, String>();

    /**
     * Gets the value of the source property.
     * 
     * @return
     *     possible object is
     *     {@link Source }
     *     
     */
    public Source getSource() {
        return source;
    }

    /**
     * Sets the value of the source property.
     * 
     * @param value
     *     allowed object is
     *     {@link Source }
     *     
     */
    public void setSource(Source value) {
        this.source = value;
    }

    /**
     * Gets the value of the segSource property.
     * 
     * @return
     *     possible object is
     *     {@link SegSource }
     *     
     */
    public SegSource getSegSource() {
        return segSource;
    }

    /**
     * Sets the value of the segSource property.
     * 
     * @param value
     *     allowed object is
     *     {@link SegSource }
     *     
     */
    public void setSegSource(SegSource value) {
        this.segSource = value;
    }

    /**
     * Gets the value of the target property.
     * 
     * @return
     *     possible object is
     *     {@link Target }
     *     
     */
    public Target getTarget() {
        return target;
    }

    /**
     * Sets the value of the target property.
     * 
     * @param value
     *     allowed object is
     *     {@link Target }
     *     
     */
    public void setTarget(Target value) {
        this.target = value;
    }

    /**
     * Gets the value of the contextGroupOrCountGroupOrPropGroup property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the contextGroupOrCountGroupOrPropGroup property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getContextGroupOrCountGroupOrPropGroup().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ContextGroup }
     * {@link CountGroup }
     * {@link PropGroup }
     * {@link Note }
     * {@link AltTrans }
     * 
     * 
     */
    public List<Object> getContextGroupOrCountGroupOrPropGroup() {
        if (contextGroupOrCountGroupOrPropGroup == null) {
            contextGroupOrCountGroupOrPropGroup = new ArrayList<Object>();
        }
        return this.contextGroupOrCountGroupOrPropGroup;
    }

    /**
     * Gets the value of the any property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the any property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAny().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Element }
     * 
     * 
     */
    public List<Element> getAny() {
        if (any == null) {
            any = new ArrayList<Element>();
        }
        return this.any;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the approved property.
     * 
     * @return
     *     possible object is
     *     {@link AttrTypeYesNo }
     *     
     */
    public AttrTypeYesNo getApproved() {
        return approved;
    }

    /**
     * Sets the value of the approved property.
     * 
     * @param value
     *     allowed object is
     *     {@link AttrTypeYesNo }
     *     
     */
    public void setApproved(AttrTypeYesNo value) {
        this.approved = value;
    }

    /**
     * Gets the value of the translate property.
     * 
     * @return
     *     possible object is
     *     {@link AttrTypeYesNo }
     *     
     */
    public AttrTypeYesNo getTranslate() {
        if (translate == null) {
            return AttrTypeYesNo.YES;
        } else {
            return translate;
        }
    }

    /**
     * Sets the value of the translate property.
     * 
     * @param value
     *     allowed object is
     *     {@link AttrTypeYesNo }
     *     
     */
    public void setTranslate(AttrTypeYesNo value) {
        this.translate = value;
    }

    /**
     * Gets the value of the reformat property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the reformat property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getReformat().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getReformat() {
        if (reformat == null) {
            reformat = new ArrayList<String>();
        }
        return this.reformat;
    }

    /**
     * Gets the value of the space property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSpace() {
        if (space == null) {
            return "default";
        } else {
            return space;
        }
    }

    /**
     * Sets the value of the space property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSpace(String value) {
        this.space = value;
    }

    /**
     * Gets the value of the datatype property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatatype() {
        return datatype;
    }

    /**
     * Sets the value of the datatype property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatatype(String value) {
        this.datatype = value;
    }

    /**
     * Gets the value of the ts property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTs() {
        return ts;
    }

    /**
     * Sets the value of the ts property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTs(String value) {
        this.ts = value;
    }

    /**
     * Gets the value of the phaseName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPhaseName() {
        return phaseName;
    }

    /**
     * Sets the value of the phaseName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPhaseName(String value) {
        this.phaseName = value;
    }

    /**
     * Gets the value of the restype property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRestype() {
        return restype;
    }

    /**
     * Sets the value of the restype property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRestype(String value) {
        this.restype = value;
    }

    /**
     * Gets the value of the resname property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getResname() {
        return resname;
    }

    /**
     * Sets the value of the resname property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setResname(String value) {
        this.resname = value;
    }

    /**
     * Gets the value of the extradata property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExtradata() {
        return extradata;
    }

    /**
     * Sets the value of the extradata property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExtradata(String value) {
        this.extradata = value;
    }

    /**
     * Gets the value of the extype property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExtype() {
        return extype;
    }

    /**
     * Sets the value of the extype property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExtype(String value) {
        this.extype = value;
    }

    /**
     * Gets the value of the helpId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHelpId() {
        return helpId;
    }

    /**
     * Sets the value of the helpId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHelpId(String value) {
        this.helpId = value;
    }

    /**
     * Gets the value of the menu property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMenu() {
        return menu;
    }

    /**
     * Sets the value of the menu property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMenu(String value) {
        this.menu = value;
    }

    /**
     * Gets the value of the menuOption property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMenuOption() {
        return menuOption;
    }

    /**
     * Sets the value of the menuOption property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMenuOption(String value) {
        this.menuOption = value;
    }

    /**
     * Gets the value of the menuName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMenuName() {
        return menuName;
    }

    /**
     * Sets the value of the menuName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMenuName(String value) {
        this.menuName = value;
    }

    /**
     * Gets the value of the coord property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCoord() {
        return coord;
    }

    /**
     * Sets the value of the coord property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCoord(String value) {
        this.coord = value;
    }

    /**
     * Gets the value of the font property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFont() {
        return font;
    }

    /**
     * Sets the value of the font property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFont(String value) {
        this.font = value;
    }

    /**
     * Gets the value of the cssStyle property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCssStyle() {
        return cssStyle;
    }

    /**
     * Sets the value of the cssStyle property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCssStyle(String value) {
        this.cssStyle = value;
    }

    /**
     * Gets the value of the style property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStyle() {
        return style;
    }

    /**
     * Sets the value of the style property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStyle(String value) {
        this.style = value;
    }

    /**
     * Gets the value of the exstyle property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExstyle() {
        return exstyle;
    }

    /**
     * Sets the value of the exstyle property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExstyle(String value) {
        this.exstyle = value;
    }

    /**
     * Gets the value of the sizeUnit property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSizeUnit() {
        if (sizeUnit == null) {
            return "pixel";
        } else {
            return sizeUnit;
        }
    }

    /**
     * Sets the value of the sizeUnit property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSizeUnit(String value) {
        this.sizeUnit = value;
    }

    /**
     * Gets the value of the maxwidth property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMaxwidth() {
        return maxwidth;
    }

    /**
     * Sets the value of the maxwidth property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMaxwidth(String value) {
        this.maxwidth = value;
    }

    /**
     * Gets the value of the minwidth property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMinwidth() {
        return minwidth;
    }

    /**
     * Sets the value of the minwidth property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMinwidth(String value) {
        this.minwidth = value;
    }

    /**
     * Gets the value of the maxheight property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMaxheight() {
        return maxheight;
    }

    /**
     * Sets the value of the maxheight property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMaxheight(String value) {
        this.maxheight = value;
    }

    /**
     * Gets the value of the minheight property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMinheight() {
        return minheight;
    }

    /**
     * Sets the value of the minheight property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMinheight(String value) {
        this.minheight = value;
    }

    /**
     * Gets the value of the maxbytes property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMaxbytes() {
        return maxbytes;
    }

    /**
     * Sets the value of the maxbytes property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMaxbytes(String value) {
        this.maxbytes = value;
    }

    /**
     * Gets the value of the minbytes property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMinbytes() {
        return minbytes;
    }

    /**
     * Sets the value of the minbytes property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMinbytes(String value) {
        this.minbytes = value;
    }

    /**
     * Gets the value of the charclass property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCharclass() {
        return charclass;
    }

    /**
     * Sets the value of the charclass property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCharclass(String value) {
        this.charclass = value;
    }

    /**
     * Gets the value of the mergedTrans property.
     * 
     * @return
     *     possible object is
     *     {@link AttrTypeYesNo }
     *     
     */
    public AttrTypeYesNo getMergedTrans() {
        if (mergedTrans == null) {
            return AttrTypeYesNo.YES;
        } else {
            return mergedTrans;
        }
    }

    /**
     * Sets the value of the mergedTrans property.
     * 
     * @param value
     *     allowed object is
     *     {@link AttrTypeYesNo }
     *     
     */
    public void setMergedTrans(AttrTypeYesNo value) {
        this.mergedTrans = value;
    }

    /**
     * Gets a map that contains attributes that aren't bound to any typed property on this class.
     * 
     * <p>
     * the map is keyed by the name of the attribute and 
     * the value is the string value of the attribute.
     * 
     * the map returned by this method is live, and you can add new attribute
     * by updating the map directly. Because of this design, there's no setter.
     * 
     * 
     * @return
     *     always non-null
     */
    public Map<QName, String> getOtherAttributes() {
        return otherAttributes;
    }

}
